#!/usr/bin/python 
# Script from Adrien Vermeulen made for Aero-AIO superkaramba theme

import os
import re
import sys

#This output the number of messages of mail box
# usage: getIfaceTotal.py [OPTION] [INTERFACE]

def getDownloadedTotal(iface):
	f = os.popen("/sbin/ifconfig " + iface)
	a = f.read()
	f.close()
	match = re.search("RX bytes:[0-9]+ [(]([0-9]+[.][0-9]+ [GMK]b)[)]", a)
	try:
		return "Downloaded :\n" + match.group(1)
	except:
		return "Not connected"

def getUploadedTotal(iface):
	f = os.popen("/sbin/ifconfig " + iface)
	a = f.read()
	f.close()
	match = re.search("TX bytes:[0-9]+ [(]([0-9]+[.][0-9]+ [GMK]b)[)]", a)
	try:
		return "Uploaded :\n" + match.group(1)
	except:
		return "Not connected"

try:
	option = sys.argv[1]
	interface = sys.argv[2]
except:
	print "usage: getIfaceTotal.py [OPTION] [INTERFACE]options:\n-u or --upload : print total uploaded data\n-d or --download : print total downloaded data"
else:
	if (option == "-u" or option == "--upload"):
		print getUploadedTotal(interface)
	elif ( option == "-d" or option == "--download"):
		print getDownloadedTotal(interface)
	else:
		print "usage: getIfaceTotal.py [OPTION] [INTERFACE]\noptions:\n-u or --upload : print total uploaded data\n-d or --download : print total downloaded data"